Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezimagecatalogue/xmlrpc/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 9480 2002-04-25 13:30:52Z jb $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 define( "EZIMAGECATALOGUE_NONEXISTING_IMAGE", 1 );
28 define( "EZIMAGECATALOGUE_CONVERT_ERROR", 2 );
29 define( "EZIMAGECATALOGUE_SIZE_MISSING", 3 );
30 define( "EZIMAGECATALOGUE_BAD_IMAGE", 4 );
31 define( "EZIMAGECATALOGUE_NONEXISTING_PARENT", 5 );
32
33 switch ( $RequestType )
34 {
35 case "category" :
36 {
37 switch( $Command )
38 {
39 case "list":
40 case "tree":
41 case "search":
42 {
43 include( "kernel/ezimagecatalogue/xmlrpc/categorylist.php" );
44 break;
45 }
46 case "data":
47 case "storedata":
48 case "delete":
49 case "permission":
50 case "info":
51 {
52 include( "kernel/ezimagecatalogue/xmlrpc/category.php" );
53 break;
54 }
55 default:
56 $Error = true;
57 }
58 } break;
59 case "unassigned" :
60 {
61 switch( $Command )
62 {
63 case "list":
64 {
65 include( "kernel/ezimagecatalogue/xmlrpc/unassignedlist.php" );
66 break;
67 }
68 default:
69 $Error = true;
70 }
71 } break;
72
73 case "image" :
74 {
75 switch( $Command )
76 {
77 case "data":
78 case "storedata":
79 case "delete":
80 case "search":
81 case "permission":
82 case "info":
83 {
84 include( "kernel/ezimagecatalogue/xmlrpc/image.php" );
85 break;
86 }
87 default:
88 $Error = true;
89 }
90 }
91 break;
92
93 default :
94 {
95 switch( $Command )
96 {
97 case "search":
98 {
99 include( "kernel/ezimagecatalogue/xmlrpc/search.php" );
100 break;
101 }
102 default:
103 $Error = true;
104 }
105 } break;
106 }
107
108 ?>
$Error
if(isset( $EditButton)) if(!empty( $CancelButton)) if(!empty( $PreviewButton)) if( $Action=="preview") switch( $Action) $Error
Definition: ezforum/user/messageedit.php:134
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.